summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib29
1 files changed, 28 insertions, 1 deletions
diff --git a/tests/lib b/tests/lib
index 78ec9a7..8392e79 100644
--- a/tests/lib
+++ b/tests/lib
@@ -22,7 +22,14 @@ END
exit 16
}
-trap 'test $? = 0 || t-report-failure' EXIT
+trap '
+ rc=$?
+ set +e
+ [ "x$DGIT_TEST_KEEP_MUSTCLEAN" != x ] || \
+ [ "x$DGIT_TEST_TMP" = x ] || rm -rf $DGIT_TEST_TMP/must-clean
+ set -e
+ test $rc = 0 || t-report-failure
+' EXIT
t-filter-out-git-hyphen-dir
@@ -74,6 +81,11 @@ export DEBCHANGE_VENDOR=dpkg
unset VISUAL
unset GIT_EDITOR
+mkdir -p $tmp/must-clean
+# must-clean is usually removed after each test, on success or failure.
+# But this must not be relied on for correctness, only for garbage
+# collection etc.
+
mkdir -p $tmp/incoming
cat <<END >$tmp/dput.cf
[test-dummy]
@@ -464,6 +476,19 @@ t-dgit () {
'
}
+t-non-dgit-upload () {
+ t-dgit -wgf build-source
+
+ cd ..
+ c=${p}_${v}_source.changes
+ debsign -kBCD22CD83243B79D3DFAC33EA3DBCBC039B13D8A $c
+ dput -c $tmp/dput.cf test-dummy $c
+
+ t-archive-process-incoming sid
+ t-git-next-date
+ cd $p
+}
+
t-dgit-manpage () {
local section=$1
local page=$2
@@ -573,6 +598,8 @@ t-setup-import () {
(set -e; cd $tmp; tar xf "$simport.tar")
fi
+ mkdir -p $tmp/must-clean
+
. "$simport"
}